Subject: Re: [PATCH 7/8] of: replace command line handling

From: "Daniel Walker (danielwa)" <[email-masked]>
Date: Thu, 16 Nov 2023 16:33:30 +0000

On Thu, Nov 16, 2023 at 10:09:36AM -0600, Rob Herring wrote:
> On Thu, Nov 09, 2023 at 05:38:11PM -0800, Daniel Walker wrote:
> > Rob Herring has complained about this section of code. I removed the
> > command line handling code to the cmdline.h header. This hopefully makes
> > it easier for Rob to maintain it (at least he doesn't have to look at it
> > directly anymore).
> 
> Well, my goal is to eliminate drivers/of/, but no.
> 
> > I would like to add a Kconfig option called
> > OF_DEPRECATED_CMDLINE which an architecture would set if it uses this code.
> 
> Which architecture needs this code? Do we wait and see who complains 
> their platform broke and then go set this option? In the meantime, new 
> platforms started depending on the new behavior and setting the option 
> may break them. So we can't have a kconfig option.
 
 I think you misunderstood the comments. The objective is,

 1) Remove the code in drivers/of/
 2) Remove platform specific command line handling

> > This would allow a platform to use the cmdline.h and the added function
> > directly and remove the Kconfig option. This change would be in a subsequent
> > patch.
> 
> Per platform code handling the cmdline is completely the wrong 
> direction. Per arch behavior is bad enough.

This code unifies the handling into generic code outside drivers/of/ .

Daniel